Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		utouch-grail
#Epoch:		0
Version:	1.0.16
Release:	1
License:	GNU/GPLv3
URL:		https://launchpad.net/canonical-multitouch/utouch-grail
Group:		System/Libraries
Summary:	Gesture Recognition And Instantiation Library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: mtdev-devel
BuildRequires: pkg-config

%description
This library consists of an interface and tools for handling gesture recognition and gesture instantiation.

When a multitouch gesture is performed on a device, the recognizer emits one or several possible gestures. Once the context of the gesture is known, i.e., in what window the touches land and what gestures the clients of that window listen to, the instantiator delivers the matching set of gestures.

The library handles tentative getures, i.e., buffering of events for several alternative gestures until a match is confirmed.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/grail-gesture
%{_bindir}/grail-touch
%{_libdir}/libutouch-grail.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/grail-bits.h
%{_includedir}/grail.h
%{_includedir}/grail-touch.h
%{_includedir}/grail-types.h
%{_libdir}/libutouch-grail.a
%{_libdir}/libutouch-grail.la
%{_libdir}/libutouch-grail.so
%{_pkgconfig}/utouch-grail.pc

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Thu Dec 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.16-1
- version update
* Mon Sep 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.14-1
- initial CCux package release
